export declare class ClassList {
    private _classes;
    readonly length: number;
    value: string;
    constructor(classes?: string);
    private _parseValue(value);
    add(token: string): void;
    remove(token: string): void;
    item(index: number): string;
    toggle(token: string): boolean;
    contains(token: string): boolean;
    replace(oldToken: string, newToken: string): void;
    entries(): IterableIterator<[number, string]>;
    forEach(callbackfn: (value: string, index: number, array: string[]) => void, thisArg?: any): void;
    keys(): IterableIterator<number>;
    values(): IterableIterator<string>;
}
